Gecode::Driver::BoolOption Class Reference

Boolean option. More...

`#include <driver.hh>`

## Public Member Functions

| BoolOption (const char *o, const char *e, bool v=false)
| Initialize for option o and explanation e and default value v.
void | value (bool v)
| Set default value to v.
bool | value (void) const
| Return current option value.
virtual int | parse (int argc, char *argv[])
| Parse option at first position and return number of parsed arguments.
virtual void | help (void)
| Print help text.
Public Member Functions inherited from Gecode::Driver::BaseOption
| BaseOption (const char *o, const char *e)
| Initialize for option o and explanation e.
virtual | ~BaseOption (void)
| Destructor.

## Protected Attributes

bool | cur
| Current value.
Protected Attributes inherited from Gecode::Driver::BaseOption
const char * | eopt
| String for option (excluding hyphen).
const char * | iopt
| String for option (including hyphen).
const char * | exp
| Short explanation.
BaseOption * | next
| Next option Check for option and return its argument.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::BaseOption
static char * | strdup (const char *s)
| Create heap-allocated copy of string s.
static char * | stredup (const char *s)
| Create heap-allocated copy of string s with hyphen added.
static void | strdel (const char *s)
| Delete heap-allocated copy of string s.
Protected Member Functions inherited from Gecode::Driver::BaseOption
char * | argument (int argc, char *argv[]) const

## Detailed Description

Boolean option.

Definition at line 269 of file driver.hh.

## Constructor & Destructor Documentation

## BoolOption()

Gecode::Driver::BoolOption::BoolOption | ( | const char * | o,
|  | const char * | e,
|  | bool | v = false )

inline

Initialize for option o and explanation e and default value v.

Definition at line 121 of file options.hpp.

## Member Function Documentation

## value() [1/2]

void Gecode::Driver::BoolOption::value | ( | bool | v | ) |

inline

Set default value to v.

Definition at line 124 of file options.hpp.

## value() [2/2]

bool Gecode::Driver::BoolOption::value | ( | void |  | ) | const

inline

Return current option value.

Definition at line 128 of file options.hpp.

## parse()

int Gecode::Driver::BoolOption::parse | ( | int | argc,
|  | char * | argv[] )

virtual

Parse option at first position and return number of parsed arguments.

Implements Gecode::Driver::BaseOption.

Definition at line 249 of file options.cpp.

## help()

void Gecode::Driver::BoolOption::help | ( | void |  | ) |

virtual

Print help text.

Implements Gecode::Driver::BaseOption.

Definition at line 281 of file options.cpp.

## Member Data Documentation

## cur

bool Gecode::Driver::BoolOption::cur

protected

Current value.

Definition at line 271 of file driver.hh.

The documentation for this class was generated from the following files:

- gecode/driver.hh
- gecode/driver/options.cpp
- gecode/driver/options.hpp